Bug 188058 - Upgrade net-mgmt/netmagis-* ports to 2.2.2
Summary: Upgrade net-mgmt/netmagis-* ports to 2.2.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Frederic Culot
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-03-29 20:30 UTC by Pierre DAVID
Modified: 2014-04-26 09:30 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Pierre DAVID 2014-03-29 20:30:00 UTC
Please, upgrade the ports for the just released 2.2.2 version of Netmagis.

Fix: 

The ports for this version are available on:
    http://netmagis.org/files/netmagis-freebsd-ports-2.2.2.tar.gz

The net-mgmt/netmagis-common/distinfo must be generated before commiting these ports.

Thanks in advance
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2014-03-29 21:21:35 UTC
Class Changed
From-To: update->maintainer-update

fix class.
Comment 2 Frederic Culot freebsd_committer 2014-04-15 16:51:29 UTC
Responsible Changed
From-To: freebsd-ports-bugs->culot

I'll take it.
Comment 3 dfilter service freebsd_committer 2014-04-26 09:21:38 UTC
Author: culot
Date: Sat Apr 26 08:21:33 2014
New Revision: 352229
URL: http://svnweb.freebsd.org/changeset/ports/352229
QAT: https://qat.redports.org/buildarchive/r352229/

Log:
  - Update net-mgmt/netmagis-* ports to 2.2.2
  
  PR:		ports/188058
  Submitted by:	Pierre DAVID <pdagog@gmail.com> (maintainer)

Deleted:
  head/net-mgmt/netmagis-common/files/patch-www-htg-src-Makefile-orig
Modified:
  head/net-mgmt/netmagis-common/Makefile
  head/net-mgmt/netmagis-common/distinfo
  head/net-mgmt/netmagis-database/pkg-plist
  head/net-mgmt/netmagis-www/pkg-plist

Modified: head/net-mgmt/netmagis-common/Makefile
==============================================================================
--- head/net-mgmt/netmagis-common/Makefile	Sat Apr 26 08:15:49 2014	(r352228)
+++ head/net-mgmt/netmagis-common/Makefile	Sat Apr 26 08:21:33 2014	(r352229)
@@ -2,7 +2,7 @@
 # $FreeBSD$
 
 PORTNAME?=	netmagis
-DISTVERSION?=	2.2.0
+DISTVERSION?=	2.2.2
 PORTREVISION?=	1
 CATEGORIES?=	net-mgmt
 MASTER_SITES=	http://netmagis.org/files/

Modified: head/net-mgmt/netmagis-common/distinfo
==============================================================================
--- head/net-mgmt/netmagis-common/distinfo	Sat Apr 26 08:15:49 2014	(r352228)
+++ head/net-mgmt/netmagis-common/distinfo	Sat Apr 26 08:21:33 2014	(r352229)
@@ -1,2 +1,2 @@
-SHA256 (netmagis-2.2.0.tar.gz) = e40f9f7b3592989c58a8491e44cad017ae47db35cac307e6c9819b7a2706ae9b
-SIZE (netmagis-2.2.0.tar.gz) = 644691
+SHA256 (netmagis-2.2.2.tar.gz) = 3e2c2f75c1b5f071f2669cc7daceeecbfa7fe16c5d960a3709203dac2fa165a3
+SIZE (netmagis-2.2.2.tar.gz) = 650355

Modified: head/net-mgmt/netmagis-database/pkg-plist
==============================================================================
--- head/net-mgmt/netmagis-database/pkg-plist	Sat Apr 26 08:15:49 2014	(r352228)
+++ head/net-mgmt/netmagis-database/pkg-plist	Sat Apr 26 08:21:33 2014	(r352229)
@@ -6,9 +6,18 @@ lib/netmagis/sql22/schema-mac.sql
 lib/netmagis/sql22/schema-main.sql
 lib/netmagis/sql22/triggers.sql
 lib/netmagis/triggers.sql
+lib/netmagis/upgrade/12-13/upgrade.sql
+lib/netmagis/upgrade/13-14/upgrade.sql
+lib/netmagis/upgrade/14-15/upgrade.sql
+lib/netmagis/upgrade/15-20/README.pgauth
+lib/netmagis/upgrade/15-20/pgauth.sed
+lib/netmagis/upgrade/15-20/upgrade.sql
+lib/netmagis/upgrade/20-21/upgrade.sql
+lib/netmagis/upgrade/21-22/upgrade.sql
 sbin/netmagis-dbcreate
 sbin/netmagis-dbimport
 sbin/netmagis-dbmaint
+sbin/netmagis-dbupgrade
 %%PORTEXAMPLES%%%%EXAMPLESDIR%%/crontab.database
 %%PORTEXAMPLES%%%%EXAMPLESDIR%%/no-view/README
 %%PORTEXAMPLES%%%%EXAMPLESDIR%%/no-view/domain.txt
@@ -26,14 +35,6 @@ sbin/netmagis-dbmaint
 %%PORTEXAMPLES%%%%EXAMPLESDIR%%/no-view/zones/example.org
 %%PORTEXAMPLES%%%%EXAMPLESDIR%%/no-view/zones/plant1.example.com
 %%PORTEXAMPLES%%%%EXAMPLESDIR%%/no-view/zones/subsid.co.zz
-%%PORTEXAMPLES%%%%EXAMPLESDIR%%/upgrade/12-13/upgrade.sql
-%%PORTEXAMPLES%%%%EXAMPLESDIR%%/upgrade/13-14/upgrade.sql
-%%PORTEXAMPLES%%%%EXAMPLESDIR%%/upgrade/14-15/upgrade.sql
-%%PORTEXAMPLES%%%%EXAMPLESDIR%%/upgrade/15-20/README.pgauth
-%%PORTEXAMPLES%%%%EXAMPLESDIR%%/upgrade/15-20/pgauth.sed
-%%PORTEXAMPLES%%%%EXAMPLESDIR%%/upgrade/15-20/upgrade.sql
-%%PORTEXAMPLES%%%%EXAMPLESDIR%%/upgrade/20-21/upgrade.sql
-%%PORTEXAMPLES%%%%EXAMPLESDIR%%/upgrade/21-22/upgrade.sql
 %%PORTEXAMPLES%%%%EXAMPLESDIR%%/with-views/README
 %%PORTEXAMPLES%%%%EXAMPLESDIR%%/with-views/domain.txt
 %%PORTEXAMPLES%%%%EXAMPLESDIR%%/with-views/group.txt
@@ -53,15 +54,16 @@ sbin/netmagis-dbmaint
 @dirrmtry var/netmagis
 @dirrmtry var
 @dirrmtry lib/netmagis/sql22
+@dirrmtry lib/netmagis/upgrade/12-13
+@dirrmtry lib/netmagis/upgrade/13-14
+@dirrmtry lib/netmagis/upgrade/14-15
+@dirrmtry lib/netmagis/upgrade/15-20
+@dirrmtry lib/netmagis/upgrade/20-21
+@dirrmtry lib/netmagis/upgrade/21-22
+@dirrmtry lib/netmagis/upgrade
 @dirrmtry lib/netmagis
 %%PORTEXAMPLES%%@dirrm %%EXAMPLESDIR%%/with-views/zones
 %%PORTEXAMPLES%%@dirrm %%EXAMPLESDIR%%/with-views
-%%PORTEXAMPLES%%@dirrm %%EXAMPLESDIR%%/upgrade/21-22
-%%PORTEXAMPLES%%@dirrm %%EXAMPLESDIR%%/upgrade/20-21
-%%PORTEXAMPLES%%@dirrm %%EXAMPLESDIR%%/upgrade/15-20
-%%PORTEXAMPLES%%@dirrm %%EXAMPLESDIR%%/upgrade/14-15
-%%PORTEXAMPLES%%@dirrm %%EXAMPLESDIR%%/upgrade/13-14
-%%PORTEXAMPLES%%@dirrm %%EXAMPLESDIR%%/upgrade/12-13
 %%PORTEXAMPLES%%@dirrm %%EXAMPLESDIR%%/upgrade
 %%PORTEXAMPLES%%@dirrm %%EXAMPLESDIR%%/no-view/zones
 %%PORTEXAMPLES%%@dirrm %%EXAMPLESDIR%%/no-view

Modified: head/net-mgmt/netmagis-www/pkg-plist
==============================================================================
--- head/net-mgmt/netmagis-www/pkg-plist	Sat Apr 26 08:15:49 2014	(r352228)
+++ head/net-mgmt/netmagis-www/pkg-plist	Sat Apr 26 08:21:33 2014	(r352229)
@@ -298,8 +298,6 @@ lib/netmagis/tmpl/fr/statorg.html
 lib/netmagis/tmpl/fr/statuser.html
 lib/netmagis/tmpl/fr/topolist.html
 lib/netmagis/tmpl/fr/topotop.html
-%%PORTEXAMPLES%%%%EXAMPLESDIR%%/auth-ldap.conf
-%%PORTEXAMPLES%%%%EXAMPLESDIR%%/auth-pgsql.conf
 %%PORTEXAMPLES%%%%EXAMPLESDIR%%/httpd.conf
 %%WWWDIR%%/add
 %%WWWDIR%%/admgrp
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 4 Frederic Culot freebsd_committer 2014-04-26 09:21:48 UTC
State Changed
From-To: open->closed

Committed. Thanks!